<!-- Задание
HW4 - create-user
Теоретический вопрос
Опишите своими словами, что такое метод обьекта
Задание
Реализовать функцию для создания объекта "пользователь". Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

Технические требования:
Написать функцию createNewUser(), которая будет создавать и возвращать объект newUser.
При вызове функция должна спросить у вызывающего имя и фамилию.
Используя данные, введенные пользователем, создать объект newUser со свойствами firstName и lastName.
Добавить в объект newUser метод getLogin(), который будет возвращать первую букву имени пользователя, соединенную с фамилией пользователя, все в нижнем регистре (например, Ivan Kravchenko → ikravchenko).
Создать пользователя с помощью функции createNewUser(). Вызвать у пользователя функцию getLogin(). Вывести в консоль результат выполнения функции.
Необязательное задание продвинутой сложности:
Сделать так, чтобы свойства firstName и lastName нельзя было изменять напрямую. Создать функции-сеттеры setFirstName() и setLastName(), которые позволят изменить данные свойства. -->

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW4 - create-user</title>
    <style>
        p {
            display: block;
            margin: 15px;
            padding: 25px;
            font-size: 20px;
            line-height: 28px;
            text-align: justify;
            width: auto;
            background-color: aqua;
            border: solid, red;
            border-radius: 7px;
        }

        span {
            display: block;
            margin: 30px 30px 30px 30px;
            padding: 10px;
            justify-content: center;
            text-align: center;
            font-weight: bold;
            font-size: 28px;
            background: chocolate;
            border-radius: 50px 50px;

        }
    </style>
</head>

<body>
    <p>
        Методы JavaScript это действия, которые можно выполнять с объектами, которые суть есть данными.
        Методы - это манипуляции свойствами объекта, которые есть функцией. Другими словами: Методы - функции,
        находящиеся в виде свойств объекта. Объект задается пустым или со свойствами с помощью синтаксиса конструктора
        объекта
        или синтаксиса литерала свойствами переменной заключенные в фигурные скобки :
        Синтаксис метода: <span>let object = {} - литеральный синтаксис</br> let object = new Object () - синтаксис
            "конструктор объекта" </br> имяОбъекта.имяМетода()</span>
    </p>

    <script>

        function createNewUser() {
            do {
                firstName = prompt('Введите ваше имя');
            } while (firstName === '');
            do {
                lastName = prompt('Введите вашау фамилию');
            } while (lastName === '');
            let newUser = {
                firstName: firstName,
                lastName: lastName,
                getLogin: function () {
                    return firstName.charAt(0).toLowerCase() + lastName.toLowerCase();
                    
                }
            }
            return newUser
        }
        const user1 = createNewUser()
        user1.getLogin()
        alert(`Ваш логин:   ${user1.getLogin()}`)
        console.log('Ваш логин: ',user1.getLogin(),)
    
        




    </script>

</body>

</html>